<?php
ini_set("session.cookie_lifetime",60*60*10);
ini_set("session.gc_maxlifetime", 60*60*10);
session_start();
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");

//-------------------------	
$StrGT="";
$VP_RegXPag=10;
$LStrMsg="";
$LStrFoc="";
$LStrMM="";
$LStrPag=V($_POST['TxtPag']);
$LStrTR=gn("count(*)","menus","");
include("sys_menus_fun.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Sub menus del sistema</title>
<script type="text/javascript" src="fe/funciones.js"></script>
<script type="text/javascript" src="fe/sys_menus.js"></script>
<style type="text/css">
<!--
body {
background-color: #CCC;
}
#Layer1 {
position:absolute;
left:345px;
top:115px;
width:123px;
height:35px;
z-index:1;
}
.centrarFrm{
width:700px;
height:600px;
position:absolute;
left:<?php echo "50%";?>;
top:<?php echo "50%";?>;
background-color:#006699;
margin:<?php echo "-300px";?> 0 0 <?php echo "-350px";?>;

}
#Layer2 {
position:absolute;
left:409px;
top:205px;
width:82px;
height:24px;
z-index:1;
}
.Estilo1 {
font-family: Arial, Helvetica, sans-serif;
font-weight: bold;
color: #FFFFFF;
}
.f2 {font-family: Arial, Helvetica, sans-serif; font-weight: bold; color: #FFFFFF; font-size: 12px; }
.Estilo3 {color: #FFFFFF; font-size: 12px; font-family: Arial, Helvetica, sans-serif;}
.Estilo4 {
color: #000099;
font-weight: normal;
text-align: left;
}
.Estilo5 {color: #000000}
#Frm center #DivFRM #layer .Estilo1 strong {
color: #900;
}
.AB {	position:absolute;
z-index: 2;
text-align: left;
font-family: Arial, Helvetica, sans-serif;
font-size: 12px;
font-weight: bold;
height: 18px;
color:#CCC
}

-->
</style>

</head>
<body  <?php echo $LStrMsg;?>>
<form id="Frm" name="Frm" method="post" action="sys_menus.php">
<center> 
<div Id="DivFRM"  class="centrarFrm" >
<div id="layer5" style="position:absolute; left: 32px; top: 175px; width: 107px;">
<div align="left" class="f2">MENUS</div>
</div>
<div id="layer4" style="position:absolute; left: 60px; top: 85px; width: 442px; height: 26px;">
<div align="left" class="f2">
<input name="CmdB" type="button" id="CmdG"
<?php
if(strlen($StrId)==0){
echo "value=\"Guardar\"";
}else{
echo "value=\"Modificar\"";
}
?>
onclick="fGuardar();" style="width:80px" tabindex="6"/>
<input name="CmdB" type="button" id="CmdC" value="Nuevo" 
onclick="fCancelar();"  tabindex="7"/>
<input name="CmdB" type="button" id="CmdE" value="Eliminar" onclick="fEliminar();"
<?php
if(strlen($StrId)==0){
echo "disabled=\"disabled\"";
}
?>
tabindex="8"/>
<input name="CmdB" type="button" id="CmdZ" 
value="Menu" onclick="fBuscar('menu.php');"  tabindex="9"/>
</div>
</div>
<div id="layer3" style="position:absolute; left: 28px; top: 226px; width: 657px; height: 356px;">
<div align="left" class="f2">
<table width="659" height="19" border="1" cellpadding="0" cellspacing="0">
<tr>
<td width="208" bgcolor="#999999"><span class="Estilo4">MENU</span></td>
<td width="165" bgcolor="#999999"><span class="Estilo4">SUB MENU</span></td>
<td width="153" bgcolor="#999999"><span class="Estilo4">URL</span></td>
<td width="54" bgcolor="#999999" ><span class="Estilo4">SM ORD</span></td>
<td width="12" bgcolor="#999999">&nbsp;</td>
</tr>
<?php
$StrTemp=$LStrPag * $VP_RegXPag;
$s="SELECT ID,MN,SN,SU,SO
FROM vmenus WHERE ID>0 ORDER BY MC,MO,MN,SO,SN";
if($LStrTR<=$VP_RegXPag){
}else{
$s=$s." LIMIT $StrTemp,$VP_RegXPag";
}		  				
$result = grs($s);
while ($row = $result->fetch_row()){
echo "<tr ondblclick=\"fActivar($row[0]);\">";
echo "<td bgcolor=\"#FFFFFF\"> <span class=\"Estilo4\">$row[1]</span></td>";
echo "<td bgcolor=\"#FFFFFF\"> <span class=\"Estilo4\">$row[2]</span></td>";
echo "<td bgcolor=\"#FFFFFF\"> <span class=\"Estilo4\"><a target=\"_blank\" href=\"$row[3]\">$row[3]</a></span></td>";
echo "<td bgcolor=\"#FFFFFF\" ><span class=\"Estilo4\">$row[4]</span></td>";
echo "<td bgcolor=\"#FFFFFF\" align=\"center\">
	 <a href=\"javascript:void(0)\" onclick=\"fActivar($row[0]);\">
	 <img src=\"img/b_edit.png\"  border=\"0\"/>
	 </a>
	 </td>";
echo "</tr>";
}

?>		  
<tr  >
<td bgcolor="#FFFFFF">
<?php
if($LStrTR>$VP_RegXPag){
if($LStrPag==0){
	echo "<input style=\"width:40px\" name=\"CmdNP\" type=\"button\" id=\"CmdNP\" value=\"|&lt;\" tabindex=\"5\" onclick=\"fPrimero();\" disabled=\"disabled\"/>";
	echo "<input style=\"width:40px\" name=\"CmdNA\" type=\"button\" id=\"CmdNA\" value=\"<\" tabindex=\"6\" onclick=\"fAnterior();\" disabled=\"disabled\" />";
}else{
	echo "<input style=\"width:40px\" name=\"CmdNP\" type=\"button\" id=\"CmdNP\" value=\"|&lt;\" tabindex=\"5\" onclick=\"fPrimero();\"/>";
	echo "<input style=\"width:40px\" name=\"CmdNA\" type=\"button\" id=\"CmdNA\" value=\"<\" tabindex=\"6\" onclick=\"fAnterior();\"/>";
}
if($LStrPag==(floor($LStrTR / $VP_RegXPag)) ){
	echo "<input style=\"width:40px\" name=\"CmdNS\" type=\"button\" id=\"CmdNS\" value=\">\" tabindex=\"7\" onclick=\"fSiguiente();\"  disabled=\"disabled\" />";
	echo "<input style=\"width:40px\" name=\"CmdNU\" type=\"button\" id=\"CmdNU\" value=\"&gt;|\" tabindex=\"8\" onclick=\"fUltimo();\"  disabled=\"disabled\"/>";				
}else{
	echo "<input style=\"width:40px\" name=\"CmdNS\" type=\"button\" id=\"CmdNS\" value=\">\" tabindex=\"7\" onclick=\"fSiguiente();\" />";
	echo "<input style=\"width:40px\" name=\"CmdNU\" type=\"button\" id=\"CmdNU\" value=\"&gt;|\" tabindex=\"8\" onclick=\"fUltimo();\"/>";				
}
}
?>
</td>
<td bgcolor="#FFFFFF" ></td>
<td bgcolor="#FFFFFF" ></td>
<td bgcolor="#FFFFFF" ></td>
<td bgcolor="#FFFFFF" ></td>

</tr>
</table>
</div>
</div>
<div id="layer" style="position:absolute; left: 116px; top: 21px; width: 412px; height: 45px; z-index: 100;">
<div align="left" class="Estilo1">
<input name="TxtId" type="hidden" id="TxtId" value="<?php echo $StrId;?>"/>
<input name="TxtAc" type="hidden" id="TxtAc" value="" />
<input name="TxtPag" type="hidden" id="TxtPag" value="<?php echo $LStrPag; ?>" />
<strong>SUB MENUS DEL SISTEMA</strong></div>
</div>
<input name="TxtNom" type="text" id="TxtNom" style="position:absolute; left: 186px; top: 194px; width: 152px;" 
value="<?php echo $StrNom;?>"  
onKeyDown="return SoloTextoEx(event,'TxtUrl');"  onkeyup="fVistaPrevia();"
tabindex="2" />

<div id="LblTit" style="position:absolute; left: 52px; top: 15px; width: 64px; z-index: 100;">
<div align="left" class="Estilo1"><img src="img/marcas.gif" width="48" height="48" /></div>
</div>
<div id="layer8" style="position:absolute; left: 0px; top: 0px; width: 700px; height: 79px; background-color: #FFFFFF; layer-background-color: #FFFFFF; border: 1px none #000000; z-index: 0;">
<div align="left" class="Estilo1">        
</div>
</div>
<select name="CboMen" id="CboMen" 
style="position:absolute; left: 28px; top: 194px; width: 150px;" 
onkeydown="return SoloTextoEx(event,'TxtNom');" tabindex="1">
<?php
$s="SELECT nombre FROM menu ORDER BY col,ord,nombre";
$result = grs($s);
while ($row = $result->fetch_row()){
if($StrMen==$row[0]){
echo "<option value=\"$row[0]\" selected=\"selected\">$row[0]</option>";
}else{
echo "<option value=\"$row[0]\" >$row[0]</option>";
}
}
?>
</select>

<input name="TxtOrd" type="text" id="TxtOrd" style="position:absolute; left: 483px; top: 194px; width: 53px;" 
value="<?php echo $StrOrd;?>"  
onkeydown="return SoloNum(this,event,'TxtNl');" 
tabindex="4" 
onfocus="selecciona_value(this);"
/>

<div id="layer12" style="position:absolute; left: 550px; top: 174px; width: 62px;">
<div align="left" class="f2">N&ordm; lineas</div>
</div>
<div id="layer13" style="position:absolute; left: 348px; top: 175px; width: 71px;">
<div align="left" class="f2">URL </div>
</div>
<input name="TxtUrl" type="text" id="TxtUrl" style="position:absolute; left: 350px; top: 194px; width: 121px;" 
value="<?php echo $StrUrl;?>"  
onkeydown="return SoloTextoEx(event,'TxtOrd');" 
tabindex="3" />

<div id="layer7" style="position:absolute; left: 188px; top: 175px; width: 147px;">
<div align="left" class="f2">NOMBRE DE SUB MENU</div>
</div>
<input name="TxtNl" type="text" id="TxtNl" style="position:absolute; left: 548px; top: 194px; width: 53px;" 
value="<?php echo $StrNl;?>"  
onkeydown="return SoloNum(this,event,'CmdB');" 
tabindex="5" 
onfocus="selecciona_value(this);"
/>

<div id="layer10" style="position:absolute; left: 482px; top: 174px; width: 62px;">
<div align="left" class="f2">N&ordm; Orden</div>
</div>
<div  
id="DivDEMO" style="left: 489px; top: 108px; width: 154px; display:block; text-align:justify" class="AB"></div>
<div style="left: 489px; top: 92px; width: 154px" class="AB">Vista previa :</div>
</div>
</center>	
</form>
</body>
</html>
